Get details of an order
Retrieve the status, pricing and other information for an existing order.
Query Parameters
merchantApiKey*string
orderId*number
Peecho order id received after its creation
orderReference?string
Order reference mentioned in the create request
Response Body
application/json
curl -X GET "https://example.com/order/details?merchantApiKey=ABCD1234XXXX&orderId=1234&orderReference=LL1123"{ "order_id": 0, "order_state": "string", "moderation_reason": "string", "created_date": "string", "currency": "string", "merchant_order_reference": "string", "tracking_code": "string", "tracking_url": "string", "order_price_data": { "total_retail_product_price_ex_taxes": "string", "total_retail_shipping_ex_taxes": "string", "total_retail_price_ex_taxes": "string", "total_retail_price_inc_taxes": "string", "retail_product_taxes": { "tax_name": "string", "tax_percentage": "string", "amount": "string" }, "retail_shipping_taxes": { "tax_name": "string", "tax_percentage": "string", "amount": "string" }, "total_wholesale_product_price_ex_taxes": "string", "total_wholesale_shipping_ex_taxes": "string", "total_wholesale_price_ex_taxes": "string", "total_wholesale_price_inc_taxes": "string", "wholesale_product_taxes": { "tax_name": "string", "tax_percentage": "string", "amount": "string" }, "wholesale_shipping_taxes": { "tax_name": "string", "tax_percentage": "string", "amount": "string" } }, "item_price_data": { "item_id": "string", "number_of_pages": 0, "offering_id": "string", "publication_id": "string", "quantity": "string", "retail_product_price": "string", "retail_product_taxes": { "tax_name": "string", "tax_percentage": "string", "amount": "string" }, "retail_shipping_price": "string", "retail_shipping_taxes": { "tax_name": "string", "tax_percentage": "string", "amount": "string" }, "wholesale_product_price": "string", "wholesale_product_taxes": { "tax_name": "string", "tax_percentage": "string", "amount": "string" }, "wholesale_shipping_price": "string", "wholesale_shipping_taxes": { "tax_name": "string", "tax_percentage": "string", "amount": "string" }, "total_wholesale_price_ex_taxes": "string", "total_wholesale_price_inc_taxes": "string" }, "address_details": { "first_name": "string", "last_name": "string", "address_line_1": "string", "address_line_2": "string", "country_code": "string", "zip_code": "string", "city": "string", "state": "string", "cpf_cnpj": "string", "neighbourhood": "string" }, "fulfilment_location": { "country_code": "string", "lab_code": "string" }}